Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class HibernateEntityHome<E>

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.framework.MutableController<T>
                  org.jboss.seam.framework.Home<org.hibernate.Session,E>
                      org.jboss.seam.framework.HibernateEntityHome<E>

All Implemented Interfaces:
  Serializable, Mutable

    public class HibernateEntityHome<E>

extends Home<org.hibernate.Session,E>

Base class for Home objects for Hibernate entities.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.seam.framework.Home
`instance, newInstance`

Constructor Summary
`HibernateEntityHome()`

Method Summary
`void` | `create()`
`E` | `find()`
`protected String` | `getPersistenceContextName()`
`org.hibernate.Session` | `getSession()`
`boolean` | `isManaged()`
`String` | `persist()`
`String` | `remove()`
`void` | `setSession(org.hibernate.Session session)`
`String` | `update()`

Methods inherited from class org.jboss.seam.framework.Home
`assignId, createdMessage, createInstance, deletedMessage, getCreatedMessage, getCreatedMessageKey, getDeletedMessage, getDeletedMessageKey, getEntityClass, getId, getInstance, getMessageKeyPrefix, getNewInstance, getUpdatedMessage, getUpdatedMessageKey, handleNotFound, initInstance, isIdDefined, setCreatedMessage, setDeletedMessage, setEntityClass, setId, setInstance, setNewInstance, setUpdatedMessage, updatedMessage`

Methods inherited from class org.jboss.seam.framework.MutableController
`clearDirty, setDirty, setDirty`

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateEntityHome

    public HibernateEntityHome()

Method Detail

### create

    public void create()

  Overrides:
    `create` in class `Home<org.hibernate.Session,E>`

### isManaged

    @Transactional
    public boolean isManaged()

### update

    @Transactional
    public String update()

### persist

    @Transactional
    public String persist()

### remove

    @Transactional
    public String remove()

### find

    @Transactional
    public E find()

  Overrides:
    `find` in class `Home<org.hibernate.Session,E>`

### getSession

    public org.hibernate.Session getSession()

### setSession

    public void setSession(org.hibernate.Session session)

### getPersistenceContextName

    protected String getPersistenceContextName()

  Specified by:
    `getPersistenceContextName` in class `PersistenceController<org.hibernate.Session>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD